import * as Enzyme from 'enzyme'
import * as fc from 'fast-check'
import Adapter from 'enzyme-adapter-react-16'
import * as extensions from './utilities/jest/extensions'
import * as Axe from 'jest-axe'

Enzyme.configure({
  adapter: new Adapter()
})

fc.configureGlobal({
  verbose: true,
})

expect.extend(Axe.toHaveNoViolations)
expect.extend(extensions)
